## EntangleControlToggle

EntangleControlToggle — a device control toggling between two states

## Functions

EntangleControlToggle * | entangle_control_toggle_new ()

## Properties

gboolean | value | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_CONTROL_TOGGLE
| EntangleControlToggle

## Object Hierarchy

        GObject
        ╰── EntangleControl
            ╰── EntangleControlToggle

## Description

The EntangleControlToggle object provides a device control that toggles between two states.

## Functions

### entangle_control_toggle_new ()

    EntangleControlToggle *
    entangle_control_toggle_new (const char *path,
                                 int id,
                                 const char *label,
                                 const char *info,
                                 gboolean readonly);

## Types and Values

### ENTANGLE_TYPE_CONTROL_TOGGLE

    #define ENTANGLE_TYPE_CONTROL_TOGGLE (entangle_control_toggle_get_type())

### EntangleControlToggle

    typedef struct _EntangleControlToggle EntangleControlToggle;

## Property Details

### The `“value”` property

      “value”                    gboolean

Current value of the control.

Owner: EntangleControlToggle

Flags: Read / Write

Default value: FALSE